package com.qmth.distributed.print.business.bean.params;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.bean.result.SysConfigResult;
import com.qmth.teachcloud.common.entity.TSchoolPrivilege;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 学校自定义菜单 param
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/10/30
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SysAdminSetParam extends TSchoolPrivilege {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "权限id数组")
    private Long[] privilegeIds;

    @ApiModelProperty(value = "参数")
    List<SysConfigResult> param;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "角色id数组")
    private Long[] roleIds;

    public List<SysConfigResult> getParam() {
        return param;
    }

    public void setParam(List<SysConfigResult> param) {
        this.param = param;
    }

    public Long[] getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(Long[] roleIds) {
        this.roleIds = roleIds;
    }

    public Long[] getPrivilegeIds() {
        return privilegeIds;
    }

    public void setPrivilegeIds(Long[] privilegeIds) {
        this.privilegeIds = privilegeIds;
    }
}
